Support » Plugin: Advanced Custom Fields » ACF 5.7.11 with WordPress 5.0.*

  • Hello there,

    when will ACF be completely compatible with WordPress 5 and Gutemberg ?
    because it seams that there are still issues and in the wordpress extensions database, it is still tested up to 4.9.9

    I’m addicted to this plugin …so frustrated by those compatibility issues

    thanks

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Elliot Condon

    (@elliotcondon)

    Hi @jufreaks

    Thanks for the question.
    Can you please elaborate more on what you mean by “still issues and in the wordpress extensions database”?

    Sean Nicholson

    (@seanrnicholson)

    @elliotcondon – We are ALL waiting for this plugin to be certified beyond WordPress 4.9. The current version continues to indicate that the plugin hasn’t been tested to the latest version of WordPress and the support forums are filled with people recommending against updating ACF if you are using any version of WordPress beyond 5.0.

    It seems as though the rest of the world is moving on to WordPress 5.0 and ACF is still stuck in the 4.x world. We don’t want to break our sites by upgrading a non-certified plugin.

    As for the “WordPress extensions database”, she’s talking about the plugins directory. When you look at the plugins directory, it indicates that ACF is only tested up to 4.9.10.

    We all appreciate the hard work that goes into maintaining the plugin, but our sites are getting more and more at-risk by not upgrading a plugin. Are there any updates as to when the new version will be released and whether it will be tested/certified on WP 5?

    Plugin Author Elliot Condon

    (@elliotcondon)

    Hi @seanrnicholson

    Thanks for the comment.

    This is a very important topic, and one that I am happy to discuss openly. Yes, the ACF plugin is currently marked as “tested up to 4.9”, however, it can be used with WP5.0+.

    The reason why I have been reluctant to change the “Tested” version is an honest one. I don’t believe that ACF is working well enough in WP5.0 to receive this “tick of approval”.

    Due to the many changes introduced by the new block based edit screen, some of ACF’s functionality is left limping such as validation, dynamic metaboxes and styling.

    Unfortunately, I am not able to fix these issues without help from the WP team to address various bugs / limitations with the new JS API. So, for now, please consider ACF as “working”, but not “working perfectly” with 5.0.

    It may be some time until ACF can integrate fully into Gutenberg, but until then, please consider using the Classic Editor plugin as a temporary solution whilst the WP team iron out remaining issues and better integrate Gutenberg into the existing WP core.

    Thanks again for your support, and for developing with ACF!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘ACF 5.7.11 with WordPress 5.0.*’ is closed to new replies.